Bug 199797 - mail/postsrsd does not handle postsrsd_exclude_domains correctly
Summary: mail/postsrsd does not handle postsrsd_exclude_domains correctly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-30 05:17 UTC by Matthias Fechner
Modified: 2016-05-24 06:21 UTC (History)
4 users (show)

See Also:
ports: maintainer-feedback+


Attachments
Patch (623 bytes, patch)
2015-04-30 05:18 UTC, Matthias Fechner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2015-04-30 05:17:35 UTC
It is possible to add several domains to a list of ignored domains for postsrsd.
This is important do not break SPF records for domains hosted on this host, especially if you have a multi-domain setup.
For this the option in /etc/rc.conf could be used:
postsrsd_exclude_domains="domain1.de,domain2.com,domain3.org"

If you define here several domain postsrsd will fail to start.
Please apply the following patch to fix this:
--- files/postsrsd.in.old       2015-04-30 07:08:36.186078678 +0200
+++ files/postsrsd.in   2015-04-30 07:08:48.202079334 +0200
@@ -67,7 +67,7 @@
     postsrsd_idle_timeout="-t ${postsrsd_idle_timeout}"
 fi
 if [ "x${postsrsd_exclude_domains}" != "x" ];then
-    postsrsd_exclude_domains="-X ${postsrsd_exclude_domains}"
+    postsrsd_exclude_domains="-X${postsrsd_exclude_domains}"
 fi

Thanks a lot.
Comment 1 Matthias Fechner freebsd_committer 2015-04-30 05:18:58 UTC
Created attachment 156130 [details]
Patch
Comment 2 commit-hook freebsd_committer 2015-05-03 07:34:42 UTC
A commit references this bug:

Author: jbeich
Date: Sun May  3 07:33:56 UTC 2015
New revision: 385236
URL: https://svnweb.freebsd.org/changeset/ports/385236

Log:
  mail/postsrsd: fix handling of postsrsd_exclude_domains in rc.d script

  PR:		199797
  Submitted by:	idefix@fechner.net
  Approved by:	ports@bsdserwis.com (maintainer)

Changes:
  head/mail/postsrsd/Makefile
  head/mail/postsrsd/files/postsrsd.in
Comment 3 Jan Beich freebsd_committer 2015-05-03 07:36:39 UTC
Thanks. Committed.
Comment 4 commit-hook freebsd_committer 2016-05-23 22:42:54 UTC
A commit references this bug:

Author: mandree
Date: Mon May 23 22:42:04 UTC 2016
New revision: 415750
URL: https://svnweb.freebsd.org/changeset/ports/415750

Log:
  Add pkgconfig file. Add LICENSE clause.

  PR:		199797
  Submitted by:	resver@gmail.com

Changes:
  head/devel/libublio/Makefile
  head/devel/libublio/pkg-plist
Comment 5 VVD 2016-05-24 01:06:59 UTC
Missed devel/libublio/files/libublio.pc.in file.
Comment 6 lightside 2016-05-24 04:46:03 UTC
Hello vvd.

(In reply to vvd from comment #5)
> Missed devel/libublio/files/libublio.pc.in file.
I referred your comment in a bug 199717 comment 5, where it was directly related.

CC: mandree
Comment 7 Matthias Andree freebsd_committer 2016-05-24 06:21:24 UTC
(In reply to commit-hook from comment #4)
My apologies for the typo in the PR: row of SVN changeset 415750.